import { ApiResponseModel, ApiVisa, BaseApiTemplateService } from "../../../shared";
import { TemplateMessageLineContainerModel } from "../../../../../../../models/aggregates/alg/cc/template-message";
import { HttpClient } from "@angular/common/http";
export declare class TemplateMessageLineService extends BaseApiTemplateService<TemplateMessageLineContainerModel> {
    constructor(http: HttpClient);
    deleteFile(fileGuid: any, visa: ApiVisa): import("rxjs").Observable<Object>;
    putMultiLines(dtoObject: TemplateMessageLineContainerModel[], visa: ApiVisa): import("rxjs").Observable<ApiResponseModel<TemplateMessageLineContainerModel[]>>;
    postMultiLines(dtoObject: TemplateMessageLineContainerModel[], visa: ApiVisa): import("rxjs").Observable<ApiResponseModel<TemplateMessageLineContainerModel[]>>;
    getFile(guid: any, visa: ApiVisa): import("rxjs").Observable<Blob>;
    getAwsUrl(guid: any, visa: ApiVisa): import("rxjs").Observable<any>;
}
